Send an email
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/messages/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "jsmith@example.com",
"subject": "<string>",
"from": "jsmith@example.com",
"html": "<string>",
"text": "<string>",
"reply_to": "jsmith@example.com",
"cc": "jsmith@example.com",
"bcc": "jsmith@example.com",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"url": "<string>",
"content": "<string>",
"size": 1
}
],
"metadata": {},
"scheduled_at": "<string>"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/messages/email"
payload = {
"to": "jsmith@example.com",
"subject": "<string>",
"from": "jsmith@example.com",
"html": "<string>",
"text": "<string>",
"reply_to": "jsmith@example.com",
"cc": "jsmith@example.com",
"bcc": "jsmith@example.com",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"url": "<string>",
"content": "<string>",
"size": 1
}
],
"metadata": {},
"scheduled_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: 'jsmith@example.com',
subject: '<string>',
from: 'jsmith@example.com',
html: '<string>',
text: '<string>',
reply_to: 'jsmith@example.com',
cc: 'jsmith@example.com',
bcc: 'jsmith@example.com',
attachments: [
{
filename: '<string>',
content_type: '<string>',
url: '<string>',
content: '<string>',
size: 1
}
],
metadata: {},
scheduled_at: '<string>'
})
};
fetch('https://api.orbit.devotel.io/api/v1/messages/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"status": "<string>",
"channel": "email",
"from": "<string>",
"to": "<string>",
"body": "<string>",
"price": "<string>",
"currency": "<string>",
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Messages
Send an email
Send a transactional email via the configured provider (Resend by default). Either html or text must be supplied. Attachments cap at 25 MB total / 10 MB per file with a MIME allowlist.
POST
/
api
/
v1
/
messages
/
email
Send an email
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
Required string length:
1 - 998Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I